# Custom Objects

## GET /api/custom-objects

> Custom objects

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"PaginatedCustomMinimalObjectsListList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/CustomMinimalObjectsList"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"CustomMinimalObjectsList":{"type":"object","properties":{"fetch_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_type":{"$ref":"#/components/schemas/ObjectTypeEnum"},"object_name":{"type":"string"},"entity_name":{"type":"string"},"rollup_related_leadsources":{"type":"boolean"},"association_source":{"$ref":"#/components/schemas/AssociationSourceEnum"},"has_commerce_data":{"type":"boolean"},"default_on_activities":{"type":"boolean"},"owner":{"$ref":"#/components/schemas/OwnerRead"},"description":{"type":"string"},"is_custom":{"type":"boolean"},"allow_relations":{"type":"boolean"},"created":{"type":"string","format":"date-time"},"access":{"$ref":"#/components/schemas/AccessSerpy"},"track_entity_value":{"type":"boolean"},"include_percentage_to_close":{"type":"boolean"},"use_ai_to_update_percentage":{"type":"boolean"},"ai_confidence_threshold":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$"},"allow_on_forms":{"type":"boolean"},"default_color":{"type":"string"},"default_icon":{"type":"string"}},"required":["access","ai_confidence_threshold","allow_on_forms","allow_relations","association_source","created","default_color","default_icon","default_on_activities","description","entity_name","fetch_url","has_commerce_data","id","include_percentage_to_close","is_custom","name","object_name","object_type","owner","rollup_related_leadsources","track_entity_value","use_ai_to_update_percentage"]},"ObjectTypeEnum":{"enum":["pipeline","standard"],"type":"string","description":"* `pipeline` - pipeline\n* `standard` - standard"},"AssociationSourceEnum":{"enum":["direct","related","direct_and_related"],"type":"string","description":"* `direct` - Direct\n* `related` - Related\n* `direct_and_related` - Direct and Related"},"OwnerRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"full_name":{"type":"string"},"picture":{"$ref":"#/components/schemas/S3ObjectRead"}},"required":["email","first_name","full_name","id","last_name","picture"]},"S3ObjectRead":{"type":"object","properties":{"id":{"type":"string"},"created":{"type":"string","format":"date-time"},"key":{"type":"string"},"name":{"type":"string"},"url":{"type":"string"},"thumbnail_url":{"type":"string"},"size_bytes":{"type":"string"},"content_type":{"type":"string"},"size_formatted":{"type":"string"},"is_public":{"type":"boolean"}},"required":["content_type","created","id","is_public","key","name","size_bytes","size_formatted","thumbnail_url","url"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]}}},"paths":{"/api/custom-objects":{"get":{"operationId":"custom_objects_list","description":"Custom objects","parameters":[{"in":"query","name":"allow_relations","schema":{"type":"boolean"}},{"in":"query","name":"custom_only","schema":{"type":"boolean","default":true},"description":"Filter Custom Objects for the Client object (is_custom field)"},{"in":"query","name":"default_on_activities","schema":{"type":"boolean"}},{"in":"query","name":"is_custom","schema":{"type":"boolean"}},{"in":"query","name":"name","schema":{"type":"string"}},{"in":"query","name":"object_name","schema":{"type":"string"}},{"in":"query","name":"object_type","schema":{"type":"string","enum":["pipeline","standard"]},"description":"* `pipeline` - pipeline\n* `standard` - standard"},{"in":"query","name":"ordering","schema":{"type":"string","enum":["created","entity_name","number_of_records","object_name","object_type","total_commerce_value","total_pipeline_value","updated"]},"description":"Which field to use when ordering the results. Prepend with '-' for descending order."},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"name":"page_size","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"name":"search","required":false,"in":"query","description":"A search term.","schema":{"type":"string"}}],"tags":["custom-objects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedCustomMinimalObjectsListList"}}},"description":""}}}}}}
```

## GET /api/custom-objects/{object\_pk}/detail

> Custom object with fields and categories

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"CustomObjectDetail":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"object_type":{"$ref":"#/components/schemas/ObjectTypeEnum"},"entity_name":{"type":"string","maxLength":200},"object_name":{"type":"string","maxLength":200},"has_commerce_data":{"type":"boolean","default":false},"default_on_activities":{"type":"boolean"},"owner":{"allOf":[{"$ref":"#/components/schemas/SerializerMeta"}],"readOnly":true},"name":{"type":"string"},"description":{"type":"string","nullable":true,"maxLength":500},"ai_description":{"type":"string","readOnly":true,"nullable":true},"is_custom":{"type":"boolean","readOnly":true},"fetch_url":{"type":"string","readOnly":true},"allow_relations":{"type":"boolean","readOnly":true},"meta":{"type":"object","additionalProperties":{}},"related_objects":{"type":"array","items":{"$ref":"#/components/schemas/CustomObjectRelatedObjects"}},"created":{"type":"string","format":"date-time","readOnly":true},"access":{"allOf":[{"$ref":"#/components/schemas/AccessSerpy"}],"readOnly":true},"entity_access":{"type":"boolean","readOnly":true},"rollup_related_leadsources":{"type":"boolean","nullable":true},"quick_filtering_enabled":{"type":"boolean","nullable":true},"record_layouts":{"type":"array","items":{"$ref":"#/components/schemas/EmbeddedRecordLayout"},"readOnly":true},"association_source":{"$ref":"#/components/schemas/AssociationSourceEnum"},"association_source_fields":{"type":"array","items":{"$ref":"#/components/schemas/AssociationSourceField"},"nullable":true},"field_categories":{"type":"array","items":{"$ref":"#/components/schemas/FieldCategory"},"readOnly":true},"fields":{"type":"array","items":{"$ref":"#/components/schemas/CustomObjectDetailedFieldRead"},"readOnly":true},"pipeline":{"allOf":[{"$ref":"#/components/schemas/CustomObjectPipeline"}],"readOnly":true},"browser_js_actions":{"type":"array","items":{"$ref":"#/components/schemas/BrowserJSAction"},"readOnly":true},"browser_route_scripts":{"type":"array","items":{"$ref":"#/components/schemas/BrowserRouteScript"},"readOnly":true},"custom_actions":{"type":"array","items":{"$ref":"#/components/schemas/CustomActionRead"},"readOnly":true}},"required":["access","ai_description","allow_relations","browser_js_actions","browser_route_scripts","created","custom_actions","default_on_activities","entity_access","entity_name","fetch_url","field_categories","fields","id","is_custom","object_name","owner","pipeline","record_layouts"]},"ObjectTypeEnum":{"enum":["pipeline","standard"],"type":"string","description":"* `pipeline` - pipeline\n* `standard` - standard"},"SerializerMeta":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]},"CustomObjectRelatedObjects":{"type":"object","properties":{"related_object":{"type":"string","format":"uuid"},"relation_type":{"$ref":"#/components/schemas/CustomObjectRelatedObjectsRelationTypeEnum"},"rollup_timeline":{"type":"boolean","default":false},"rollup_leadsources":{"type":"boolean","default":true},"object_type":{"type":"string","readOnly":true},"object_name":{"type":"string","readOnly":true},"entity_name":{"type":"string","readOnly":true},"field_id":{"type":"string","format":"uuid","nullable":true}},"required":["entity_name","object_name","object_type","related_object","relation_type"]},"CustomObjectRelatedObjectsRelationTypeEnum":{"enum":["one_to_one","primary","additional"],"type":"string","description":"* `one_to_one` - one to one\n* `primary` - primary\n* `additional` - additional"},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]},"EmbeddedRecordLayout":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string"},"config":{"type":"object","additionalProperties":{}},"tabs":{"type":"object","additionalProperties":{}},"order":{"type":"number","format":"double"}},"required":["id","name"]},"AssociationSourceEnum":{"enum":["direct","related","direct_and_related"],"type":"string","description":"* `direct` - Direct\n* `related` - Related\n* `direct_and_related` - Direct and Related"},"AssociationSourceField":{"type":"object","description":"A serializer that accepts either an 'id' field or an alternate identifier field.\n\nThis serializer class automatically detects which identifier field is being used and\nperforms validation to ensure at least one identifier is provided. It also provides\nutility methods for retrieving objects by their identifiers.\n\nAttributes:\n    IDENTIFIER_FIELD (str): The name of the alternate identifier field. Should be\n        defined in subclasses.\n\nMethods:\n    get_identifier_field(): Determines the alternate identifier field name.\n    validate(attrs): Ensures either 'id' or the alternate identifier is provided.\n    get_identifier_values(data, values_map, queryset): Retrieves objects by their identifiers.","properties":{"id":{"type":"string","format":"uuid","nullable":true,"description":"Required if \"name\" is not provided."},"name":{"type":"string","nullable":true,"description":"Required if \"id\" is not provided."},"related_field":{"type":"string","readOnly":true},"related_object":{"type":"string","readOnly":true}},"required":["related_field","related_object"]},"FieldCategory":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"order":{"type":"integer"}},"required":["id","name","order"]},"CustomObjectDetailedFieldRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"category":{"type":"string","format":"uuid"},"display_name":{"type":"string"},"canonical_display_name":{"type":"string"},"is_default":{"type":"boolean"},"field_type":{"$ref":"#/components/schemas/FieldTypeEnum"},"is_required":{"type":"boolean"},"is_read_only":{"type":"boolean"},"is_hidden":{"type":"boolean"},"is_deletable":{"type":"boolean"},"is_hideable":{"type":"boolean"},"is_suppressed":{"type":"boolean"},"include_in_short_form":{"type":"string"},"allows_nulls":{"type":"boolean"},"allows_empty":{"type":"boolean"},"order":{"type":"integer"},"meta":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"description_visibility":{"$ref":"#/components/schemas/DescriptionVisibilityEnum"},"properties":{"type":"object","additionalProperties":{}},"access":{"$ref":"#/components/schemas/AccessSerpy"},"options":{"type":"array","items":{"$ref":"#/components/schemas/FieldOptionSerpy"}},"relation":{"$ref":"#/components/schemas/CustomObjectFieldRelation"},"allow_on_forms":{"type":"boolean"}},"required":["access","allow_on_forms","allows_empty","allows_nulls","canonical_display_name","category","description","description_visibility","display_name","field_type","id","include_in_short_form","is_default","is_deletable","is_hidden","is_hideable","is_read_only","is_required","is_suppressed","meta","name","options","order","properties","relation"]},"FieldTypeEnum":{"enum":["checkbox","checkboxes","choices","date","datetime","decimal","dropdown","dynamictags","email","files","integer","longtext","money","phonenumber","radio","rating","relationship","selector","status","team_selector","text","timezone","wysiwyg","yesnomaybe"],"type":"string","description":"* `checkbox` - Checkbox\n* `checkboxes` - Checkboxes\n* `choices` - Choices\n* `date` - Date\n* `datetime` - Datetime\n* `decimal` - Decimal Number\n* `dropdown` - Dropdown\n* `dynamictags` - Dynamic Tags\n* `email` - Email\n* `files` - Files\n* `integer` - Whole Number\n* `longtext` - Long Text\n* `money` - Money\n* `phonenumber` - Phone Number\n* `radio` - Radio\n* `rating` - Rating\n* `relationship` - Relationship\n* `selector` - Selector\n* `status` - Status\n* `team_selector` - Team Selector\n* `text` - Text\n* `timezone` - Timezone\n* `wysiwyg` - Wysiwyg\n* `yesnomaybe` - Yes / No / Maybe Question"},"DescriptionVisibilityEnum":{"enum":["all","create_only","settings_only"],"type":"string","description":"* `all` - All Labels\n* `create_only` - Only on Create\n* `settings_only` - Only in Settings"},"FieldOptionSerpy":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"code":{"type":"string"},"name":{"type":"string"},"order":{"type":"integer"},"meta":{"type":"object","additionalProperties":{}},"percentage_chance_to_close":{"type":"integer"},"chance_to_close_percentage":{"type":"integer"},"status":{"$ref":"#/components/schemas/StatusEnum"}},"required":["chance_to_close_percentage","code","id","meta","name","order","percentage_chance_to_close","status"]},"StatusEnum":{"enum":["open","won","lost","disqualified"],"type":"string","description":"* `open` - open\n* `won` - won\n* `lost` - lost\n* `disqualified` - disqualified"},"CustomObjectFieldRelation":{"type":"object","properties":{"related_field":{"type":"string","format":"uuid","readOnly":true},"related_object":{"type":"string","format":"uuid"},"related_category":{"type":"string","format":"uuid","nullable":true},"related_name":{"type":"string","nullable":true},"related_object_name":{"type":"string","readOnly":true},"related_object_object_name":{"type":"string","readOnly":true},"related_entity_name":{"type":"string","readOnly":true},"relation_type":{"$ref":"#/components/schemas/CustomObjectFieldRelationRelationTypeEnum"},"cardinality":{"allOf":[{"$ref":"#/components/schemas/CardinalityEnum"}],"readOnly":true},"fetch_url":{"type":"string","readOnly":true},"rollup_timeline":{"type":"boolean"},"rollup_leadsources":{"type":"boolean"},"inverse_relation_rollup_timeline":{"type":"boolean"},"inverse_relation_rollup_leadsources":{"type":"boolean"},"inverse_relation_suppressed":{"type":"boolean"},"related_object_default_on_activities":{"type":"string","readOnly":true}},"required":["cardinality","fetch_url","related_category","related_entity_name","related_field","related_object","related_object_default_on_activities","related_object_name","related_object_object_name"]},"CustomObjectFieldRelationRelationTypeEnum":{"enum":["one_to_one","primary","additional","primary_for","additional_for"],"type":"string","description":"* `one_to_one` - one to one\n* `primary` - primary\n* `additional` - additional\n* `primary_for` - primary for\n* `additional_for` - additional for"},"CardinalityEnum":{"enum":["one_to_one","many_to_many","many_to_one","one_to_many"],"type":"string","description":"* `one_to_one` - 1 to 1\n* `many_to_many` - Many to Many\n* `many_to_one` - Many to 1\n* `one_to_many` - 1 to Many"},"CustomObjectPipeline":{"type":"object","properties":{"stages":{"type":"array","items":{"$ref":"#/components/schemas/PipelineStage"}},"track_entity_value":{"type":"boolean"},"include_percentage_to_close":{"type":"boolean"},"use_ai_to_update_percentage":{"type":"boolean"}},"required":["stages"]},"PipelineStage":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"status":{"$ref":"#/components/schemas/StatusEnum"},"percentage_chance_to_close":{"type":"integer","maximum":100,"minimum":0,"nullable":true},"order":{"type":"integer","maximum":32767,"minimum":0}},"required":["name","order","status"]},"BrowserJSAction":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"api_name":{"type":"string"},"name":{"type":"string"},"script":{"type":"string"},"plugin_app":{"$ref":"#/components/schemas/PluginAppLight"}},"required":["api_name","id","name","plugin_app","script"]},"PluginAppLight":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"api_name":{"type":"string"},"base_config":{"type":"object","additionalProperties":{}}},"required":["api_name","base_config","id"]},"BrowserRouteScript":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"api_name":{"type":"string"},"name":{"type":"string"},"routes":{"type":"object","additionalProperties":{}},"script":{"type":"string"},"blocking":{"type":"boolean"},"custom_object":{"$ref":"#/components/schemas/_CustomObject"},"plugin_app":{"$ref":"#/components/schemas/PluginAppLight"}},"required":["api_name","blocking","custom_object","id","name","plugin_app","routes","script"]},"_CustomObject":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_name":{"type":"string"}},"required":["id","name","object_name"]},"CustomActionRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"action":{"type":"string"},"automation":{"$ref":"#/components/schemas/_CustomActionAutomation"},"order":{"type":"integer"}},"required":["action","automation","description","id","name","order"]},"_CustomActionAutomation":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"api_name":{"type":"string"},"name":{"type":"string"}},"required":["api_name","id","name"]}}},"paths":{"/api/custom-objects/{object_pk}/detail":{"get":{"operationId":"custom_objects_detail_retrieve","description":"Custom object with fields and categories","parameters":[{"in":"path","name":"object_pk","schema":{"type":"string","format":"uuid"},"required":true}],"tags":["custom-objects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomObjectDetail"}}},"description":""}}}}}}
```

## List field options

> Lists field options for single or multi-select fields, such as dynamic tags, checkboxes, dropdown, radio, etc

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"PaginatedFieldOptionList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/FieldOption"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"FieldOption":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"code":{"type":"string"},"name":{"type":"string"},"order":{"type":"integer"},"entity_count":{"type":"integer","nullable":true,"readOnly":true},"meta":{"type":"object","additionalProperties":{}},"percentage_chance_to_close":{"type":"integer","nullable":true,"description":"Stage's percentage chance to close, applicable only for stage field."},"status":{"nullable":true,"description":"Stage's status, applicable only for stage field.\n\n* `open` - open\n* `won` - won\n* `lost` - lost\n* `disqualified` - disqualified","oneOf":[{"$ref":"#/components/schemas/StatusEnum"},{"$ref":"#/components/schemas/NullEnum"}]}},"required":["entity_count","name"]},"StatusEnum":{"enum":["open","won","lost","disqualified"],"type":"string","description":"* `open` - open\n* `won` - won\n* `lost` - lost\n* `disqualified` - disqualified"},"NullEnum":{"enum":[null]}}},"paths":{"/api/custom-objects/{object_pk}/fields/{field_pk}/options":{"get":{"operationId":"custom_objects_fields_options_list","description":"Lists field options for single or multi-select fields, such as dynamic tags, checkboxes, dropdown, radio, etc","summary":"List field options","parameters":[{"in":"path","name":"field_pk","schema":{"type":"string","format":"uuid"},"required":true},{"in":"query","name":"include_entity_count","schema":{"type":"boolean"},"description":"Includes entity_count in response and makes the response paginated."},{"in":"path","name":"object_pk","schema":{"type":"string","format":"uuid"},"required":true},{"in":"query","name":"ordering","schema":{"type":"string","enum":["entity_count","name","order"]},"description":"Which field to use when ordering the results. Prepend with '-' for descending order."},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"name":"page_size","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"name":"search","required":false,"in":"query","description":"A search term.","schema":{"type":"string"}}],"tags":["custom-objects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedFieldOptionList"}}},"description":""}}}}}}
```

## POST /api/custom-objects/{object\_pk}/fields/search

> Search fields

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"CustomObjectDetailedFieldReadRequest":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","minLength":1},"category":{"type":"string","format":"uuid"},"display_name":{"type":"string","minLength":1},"canonical_display_name":{"type":"string","minLength":1},"is_default":{"type":"boolean"},"field_type":{"$ref":"#/components/schemas/FieldTypeEnum"},"is_required":{"type":"boolean"},"is_read_only":{"type":"boolean"},"is_hidden":{"type":"boolean"},"is_deletable":{"type":"boolean"},"is_hideable":{"type":"boolean"},"is_suppressed":{"type":"boolean"},"include_in_short_form":{"type":"string","minLength":1},"allows_nulls":{"type":"boolean"},"allows_empty":{"type":"boolean"},"order":{"type":"integer"},"meta":{"type":"object","additionalProperties":{}},"description":{"type":"string","minLength":1},"description_visibility":{"$ref":"#/components/schemas/DescriptionVisibilityEnum"},"properties":{"type":"object","additionalProperties":{}},"access":{"$ref":"#/components/schemas/AccessSerpyRequest"},"options":{"type":"array","items":{"$ref":"#/components/schemas/FieldOptionSerpyRequest"}},"relation":{"$ref":"#/components/schemas/CustomObjectFieldRelationRequest"},"allow_on_forms":{"type":"boolean"}},"required":["access","allow_on_forms","allows_empty","allows_nulls","canonical_display_name","category","description","description_visibility","display_name","field_type","id","include_in_short_form","is_default","is_deletable","is_hidden","is_hideable","is_read_only","is_required","is_suppressed","meta","name","options","order","properties","relation"]},"FieldTypeEnum":{"enum":["checkbox","checkboxes","choices","date","datetime","decimal","dropdown","dynamictags","email","files","integer","longtext","money","phonenumber","radio","rating","relationship","selector","status","team_selector","text","timezone","wysiwyg","yesnomaybe"],"type":"string","description":"* `checkbox` - Checkbox\n* `checkboxes` - Checkboxes\n* `choices` - Choices\n* `date` - Date\n* `datetime` - Datetime\n* `decimal` - Decimal Number\n* `dropdown` - Dropdown\n* `dynamictags` - Dynamic Tags\n* `email` - Email\n* `files` - Files\n* `integer` - Whole Number\n* `longtext` - Long Text\n* `money` - Money\n* `phonenumber` - Phone Number\n* `radio` - Radio\n* `rating` - Rating\n* `relationship` - Relationship\n* `selector` - Selector\n* `status` - Status\n* `team_selector` - Team Selector\n* `text` - Text\n* `timezone` - Timezone\n* `wysiwyg` - Wysiwyg\n* `yesnomaybe` - Yes / No / Maybe Question"},"DescriptionVisibilityEnum":{"enum":["all","create_only","settings_only"],"type":"string","description":"* `all` - All Labels\n* `create_only` - Only on Create\n* `settings_only` - Only in Settings"},"AccessSerpyRequest":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]},"FieldOptionSerpyRequest":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"code":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"order":{"type":"integer"},"meta":{"type":"object","additionalProperties":{}},"percentage_chance_to_close":{"type":"integer"},"chance_to_close_percentage":{"type":"integer"},"status":{"$ref":"#/components/schemas/StatusEnum"}},"required":["chance_to_close_percentage","code","id","meta","name","order","percentage_chance_to_close","status"]},"StatusEnum":{"enum":["open","won","lost","disqualified"],"type":"string","description":"* `open` - open\n* `won` - won\n* `lost` - lost\n* `disqualified` - disqualified"},"CustomObjectFieldRelationRequest":{"type":"object","properties":{"related_object":{"type":"string","format":"uuid"},"related_category":{"type":"string","format":"uuid","nullable":true},"related_name":{"type":"string","nullable":true,"minLength":1},"relation_type":{"$ref":"#/components/schemas/CustomObjectFieldRelationRelationTypeEnum"},"rollup_timeline":{"type":"boolean"},"rollup_leadsources":{"type":"boolean"},"inverse_relation_rollup_timeline":{"type":"boolean"},"inverse_relation_rollup_leadsources":{"type":"boolean"},"inverse_relation_suppressed":{"type":"boolean"}},"required":["related_category","related_object"]},"CustomObjectFieldRelationRelationTypeEnum":{"enum":["one_to_one","primary","additional","primary_for","additional_for"],"type":"string","description":"* `one_to_one` - one to one\n* `primary` - primary\n* `additional` - additional\n* `primary_for` - primary for\n* `additional_for` - additional for"},"CustomObjectDetailedFieldRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"category":{"type":"string","format":"uuid"},"display_name":{"type":"string"},"canonical_display_name":{"type":"string"},"is_default":{"type":"boolean"},"field_type":{"$ref":"#/components/schemas/FieldTypeEnum"},"is_required":{"type":"boolean"},"is_read_only":{"type":"boolean"},"is_hidden":{"type":"boolean"},"is_deletable":{"type":"boolean"},"is_hideable":{"type":"boolean"},"is_suppressed":{"type":"boolean"},"include_in_short_form":{"type":"string"},"allows_nulls":{"type":"boolean"},"allows_empty":{"type":"boolean"},"order":{"type":"integer"},"meta":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"description_visibility":{"$ref":"#/components/schemas/DescriptionVisibilityEnum"},"properties":{"type":"object","additionalProperties":{}},"access":{"$ref":"#/components/schemas/AccessSerpy"},"options":{"type":"array","items":{"$ref":"#/components/schemas/FieldOptionSerpy"}},"relation":{"$ref":"#/components/schemas/CustomObjectFieldRelation"},"allow_on_forms":{"type":"boolean"}},"required":["access","allow_on_forms","allows_empty","allows_nulls","canonical_display_name","category","description","description_visibility","display_name","field_type","id","include_in_short_form","is_default","is_deletable","is_hidden","is_hideable","is_read_only","is_required","is_suppressed","meta","name","options","order","properties","relation"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]},"FieldOptionSerpy":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"code":{"type":"string"},"name":{"type":"string"},"order":{"type":"integer"},"meta":{"type":"object","additionalProperties":{}},"percentage_chance_to_close":{"type":"integer"},"chance_to_close_percentage":{"type":"integer"},"status":{"$ref":"#/components/schemas/StatusEnum"}},"required":["chance_to_close_percentage","code","id","meta","name","order","percentage_chance_to_close","status"]},"CustomObjectFieldRelation":{"type":"object","properties":{"related_field":{"type":"string","format":"uuid","readOnly":true},"related_object":{"type":"string","format":"uuid"},"related_category":{"type":"string","format":"uuid","nullable":true},"related_name":{"type":"string","nullable":true},"related_object_name":{"type":"string","readOnly":true},"related_object_object_name":{"type":"string","readOnly":true},"related_entity_name":{"type":"string","readOnly":true},"relation_type":{"$ref":"#/components/schemas/CustomObjectFieldRelationRelationTypeEnum"},"cardinality":{"allOf":[{"$ref":"#/components/schemas/CardinalityEnum"}],"readOnly":true},"fetch_url":{"type":"string","readOnly":true},"rollup_timeline":{"type":"boolean"},"rollup_leadsources":{"type":"boolean"},"inverse_relation_rollup_timeline":{"type":"boolean"},"inverse_relation_rollup_leadsources":{"type":"boolean"},"inverse_relation_suppressed":{"type":"boolean"},"related_object_default_on_activities":{"type":"string","readOnly":true}},"required":["cardinality","fetch_url","related_category","related_entity_name","related_field","related_object","related_object_default_on_activities","related_object_name","related_object_object_name"]},"CardinalityEnum":{"enum":["one_to_one","many_to_many","many_to_one","one_to_many"],"type":"string","description":"* `one_to_one` - 1 to 1\n* `many_to_many` - Many to Many\n* `many_to_one` - Many to 1\n* `one_to_many` - 1 to Many"}}},"paths":{"/api/custom-objects/{object_pk}/fields/search":{"post":{"operationId":"custom_objects_fields_search_create","description":"Search fields","parameters":[{"in":"query","name":"category","schema":{"type":"string","format":"uuid"}},{"in":"query","name":"field_type","schema":{"type":"string","enum":["checkbox","checkboxes","choices","date","datetime","decimal","dropdown","dynamictags","email","files","integer","longtext","money","phonenumber","radio","rating","relationship","selector","status","team_selector","text","timezone","wysiwyg","yesnomaybe"]},"description":"* `checkbox` - Checkbox\n* `checkboxes` - Checkboxes\n* `choices` - Choices\n* `date` - Date\n* `datetime` - Datetime\n* `decimal` - Decimal Number\n* `dropdown` - Dropdown\n* `dynamictags` - Dynamic Tags\n* `email` - Email\n* `files` - Files\n* `integer` - Whole Number\n* `longtext` - Long Text\n* `money` - Money\n* `phonenumber` - Phone Number\n* `radio` - Radio\n* `rating` - Rating\n* `relationship` - Relationship\n* `selector` - Selector\n* `status` - Status\n* `team_selector` - Team Selector\n* `text` - Text\n* `timezone` - Timezone\n* `wysiwyg` - Wysiwyg\n* `yesnomaybe` - Yes / No / Maybe Question"},{"in":"query","name":"field_type__in","schema":{"type":"array","items":{"type":"string"}},"description":"Multiple values may be separated by commas.","explode":false,"style":"form"},{"in":"query","name":"is_default","schema":{"type":"boolean"}},{"in":"query","name":"numeric","schema":{"type":"boolean"}},{"in":"path","name":"object_pk","schema":{"type":"string"},"required":true},{"in":"query","name":"ordering","schema":{"type":"string","enum":["order"]},"description":"Which field to use when ordering the results. Prepend with '-' for descending order."},{"name":"search","required":false,"in":"query","description":"A search term.","schema":{"type":"string"}}],"tags":["custom-objects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomObjectDetailedFieldReadRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomObjectDetailedFieldRead"}}}},"description":""}}}}}}
```

## GET /api/custom-objects/{id}

> Get Custom object by ID

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"CustomObjectRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"object_type":{"$ref":"#/components/schemas/ObjectTypeEnum"},"entity_name":{"type":"string","maxLength":200},"object_name":{"type":"string","maxLength":200},"has_commerce_data":{"type":"boolean","default":false},"default_on_activities":{"type":"boolean"},"owner":{"allOf":[{"$ref":"#/components/schemas/SerializerMeta"}],"readOnly":true},"name":{"type":"string"},"description":{"type":"string","nullable":true,"maxLength":500},"ai_description":{"type":"string","readOnly":true,"nullable":true},"is_custom":{"type":"boolean","readOnly":true},"fetch_url":{"type":"string","readOnly":true},"allow_relations":{"type":"boolean","readOnly":true},"meta":{"type":"object","additionalProperties":{}},"related_objects":{"type":"array","items":{"$ref":"#/components/schemas/CustomObjectRelatedObjects"}},"number_of_records":{"type":"integer","readOnly":true},"created":{"type":"string","format":"date-time","readOnly":true},"access":{"allOf":[{"$ref":"#/components/schemas/AccessSerpy"}],"readOnly":true},"entity_access":{"type":"boolean","readOnly":true},"rollup_related_leadsources":{"type":"boolean","nullable":true},"quick_filtering_enabled":{"type":"boolean","nullable":true},"record_layouts":{"type":"array","items":{"$ref":"#/components/schemas/EmbeddedRecordLayout"},"readOnly":true},"association_source":{"$ref":"#/components/schemas/AssociationSourceEnum"},"association_source_fields":{"type":"array","items":{"$ref":"#/components/schemas/AssociationSourceField"},"nullable":true},"track_entity_value":{"type":"boolean"},"include_percentage_to_close":{"type":"boolean"},"use_ai_to_update_percentage":{"type":"boolean"},"ai_confidence_threshold":{"type":"string","format":"decimal","pattern":"^-?\\d{0,1}(?:\\.\\d{0,2})?$"},"pipeline":{"allOf":[{"$ref":"#/components/schemas/CustomObjectPipeline"}],"readOnly":true},"total_pipeline_value":{"type":"number","format":"double","readOnly":true},"total_commerce_value":{"type":"number","format":"double","readOnly":true},"reasons_lost":{"type":"array","items":{"$ref":"#/components/schemas/EmbededFieldOption"}},"reasons_disqualified":{"type":"array","items":{"$ref":"#/components/schemas/EmbededFieldOption"}},"undeletable_fields":{"type":"object","additionalProperties":{},"readOnly":true},"allow_on_forms":{"type":"boolean","nullable":true},"entity_display_name_pattern_text":{"type":"string"},"entity_display_name_pattern_html":{"type":"string"},"entity_search_text_pattern":{"type":"string"},"default_color":{"type":"string","default":"#085BEE"},"default_icon":{"type":"string","default":"bars-light"},"browser_js_actions":{"type":"array","items":{"$ref":"#/components/schemas/BrowserJSAction"},"readOnly":true},"browser_route_scripts":{"type":"array","items":{"$ref":"#/components/schemas/BrowserRouteScript"},"readOnly":true},"custom_actions":{"type":"array","items":{"$ref":"#/components/schemas/CustomActionRead"},"readOnly":true}},"required":["access","ai_description","allow_relations","browser_js_actions","browser_route_scripts","created","custom_actions","default_on_activities","entity_access","entity_name","fetch_url","id","is_custom","number_of_records","object_name","object_type","owner","pipeline","record_layouts","total_commerce_value","total_pipeline_value","undeletable_fields"]},"ObjectTypeEnum":{"enum":["pipeline","standard"],"type":"string","description":"* `pipeline` - pipeline\n* `standard` - standard"},"SerializerMeta":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]},"CustomObjectRelatedObjects":{"type":"object","properties":{"related_object":{"type":"string","format":"uuid"},"relation_type":{"$ref":"#/components/schemas/CustomObjectRelatedObjectsRelationTypeEnum"},"rollup_timeline":{"type":"boolean","default":false},"rollup_leadsources":{"type":"boolean","default":true},"object_type":{"type":"string","readOnly":true},"object_name":{"type":"string","readOnly":true},"entity_name":{"type":"string","readOnly":true},"field_id":{"type":"string","format":"uuid","nullable":true}},"required":["entity_name","object_name","object_type","related_object","relation_type"]},"CustomObjectRelatedObjectsRelationTypeEnum":{"enum":["one_to_one","primary","additional"],"type":"string","description":"* `one_to_one` - one to one\n* `primary` - primary\n* `additional` - additional"},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]},"EmbeddedRecordLayout":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string"},"config":{"type":"object","additionalProperties":{}},"tabs":{"type":"object","additionalProperties":{}},"order":{"type":"number","format":"double"}},"required":["id","name"]},"AssociationSourceEnum":{"enum":["direct","related","direct_and_related"],"type":"string","description":"* `direct` - Direct\n* `related` - Related\n* `direct_and_related` - Direct and Related"},"AssociationSourceField":{"type":"object","description":"A serializer that accepts either an 'id' field or an alternate identifier field.\n\nThis serializer class automatically detects which identifier field is being used and\nperforms validation to ensure at least one identifier is provided. It also provides\nutility methods for retrieving objects by their identifiers.\n\nAttributes:\n    IDENTIFIER_FIELD (str): The name of the alternate identifier field. Should be\n        defined in subclasses.\n\nMethods:\n    get_identifier_field(): Determines the alternate identifier field name.\n    validate(attrs): Ensures either 'id' or the alternate identifier is provided.\n    get_identifier_values(data, values_map, queryset): Retrieves objects by their identifiers.","properties":{"id":{"type":"string","format":"uuid","nullable":true,"description":"Required if \"name\" is not provided."},"name":{"type":"string","nullable":true,"description":"Required if \"id\" is not provided."},"related_field":{"type":"string","readOnly":true},"related_object":{"type":"string","readOnly":true}},"required":["related_field","related_object"]},"CustomObjectPipeline":{"type":"object","properties":{"stages":{"type":"array","items":{"$ref":"#/components/schemas/PipelineStage"}},"track_entity_value":{"type":"boolean"},"include_percentage_to_close":{"type":"boolean"},"use_ai_to_update_percentage":{"type":"boolean"}},"required":["stages"]},"PipelineStage":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"status":{"$ref":"#/components/schemas/StatusEnum"},"percentage_chance_to_close":{"type":"integer","maximum":100,"minimum":0,"nullable":true},"order":{"type":"integer","maximum":32767,"minimum":0}},"required":["name","order","status"]},"StatusEnum":{"enum":["open","won","lost","disqualified"],"type":"string","description":"* `open` - open\n* `won` - won\n* `lost` - lost\n* `disqualified` - disqualified"},"EmbededFieldOption":{"type":"object","description":"Used in CustomObjectSerializer where we can create reasons_lost and reasons_disqualified","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"}},"required":["name"]},"BrowserJSAction":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"api_name":{"type":"string"},"name":{"type":"string"},"script":{"type":"string"},"plugin_app":{"$ref":"#/components/schemas/PluginAppLight"}},"required":["api_name","id","name","plugin_app","script"]},"PluginAppLight":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"api_name":{"type":"string"},"base_config":{"type":"object","additionalProperties":{}}},"required":["api_name","base_config","id"]},"BrowserRouteScript":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"api_name":{"type":"string"},"name":{"type":"string"},"routes":{"type":"object","additionalProperties":{}},"script":{"type":"string"},"blocking":{"type":"boolean"},"custom_object":{"$ref":"#/components/schemas/_CustomObject"},"plugin_app":{"$ref":"#/components/schemas/PluginAppLight"}},"required":["api_name","blocking","custom_object","id","name","plugin_app","routes","script"]},"_CustomObject":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_name":{"type":"string"}},"required":["id","name","object_name"]},"CustomActionRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"action":{"type":"string"},"automation":{"$ref":"#/components/schemas/_CustomActionAutomation"},"order":{"type":"integer"}},"required":["action","automation","description","id","name","order"]},"_CustomActionAutomation":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"api_name":{"type":"string"},"name":{"type":"string"}},"required":["api_name","id","name"]}}},"paths":{"/api/custom-objects/{id}":{"get":{"operationId":"custom_objects_retrieve","description":"Get Custom object by ID","parameters":[{"in":"path","name":"id","schema":{"type":"string","format":"uuid"},"description":"A UUID string identifying this Custom Object.","required":true},{"in":"query","name":"ordering","schema":{"type":"string","enum":["created","entity_name","number_of_records","object_name","object_type","total_commerce_value","total_pipeline_value","updated"]},"description":"Which field to use when ordering the results. Prepend with '-' for descending order."}],"tags":["custom-objects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomObjectRead"}}},"description":""}}}}}}
```

## POST /api/custom-objects/search

> Search custom objects

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"CustomObjectSearchPayloadRequest":{"type":"object","properties":{"object_ids":{"type":"array","items":{"type":"string","format":"uuid"}}}},"PaginatedCustomMinimalObjectsListList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/CustomMinimalObjectsList"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"CustomMinimalObjectsList":{"type":"object","properties":{"fetch_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_type":{"$ref":"#/components/schemas/ObjectTypeEnum"},"object_name":{"type":"string"},"entity_name":{"type":"string"},"rollup_related_leadsources":{"type":"boolean"},"association_source":{"$ref":"#/components/schemas/AssociationSourceEnum"},"has_commerce_data":{"type":"boolean"},"default_on_activities":{"type":"boolean"},"owner":{"$ref":"#/components/schemas/OwnerRead"},"description":{"type":"string"},"is_custom":{"type":"boolean"},"allow_relations":{"type":"boolean"},"created":{"type":"string","format":"date-time"},"access":{"$ref":"#/components/schemas/AccessSerpy"},"track_entity_value":{"type":"boolean"},"include_percentage_to_close":{"type":"boolean"},"use_ai_to_update_percentage":{"type":"boolean"},"ai_confidence_threshold":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$"},"allow_on_forms":{"type":"boolean"},"default_color":{"type":"string"},"default_icon":{"type":"string"}},"required":["access","ai_confidence_threshold","allow_on_forms","allow_relations","association_source","created","default_color","default_icon","default_on_activities","description","entity_name","fetch_url","has_commerce_data","id","include_percentage_to_close","is_custom","name","object_name","object_type","owner","rollup_related_leadsources","track_entity_value","use_ai_to_update_percentage"]},"ObjectTypeEnum":{"enum":["pipeline","standard"],"type":"string","description":"* `pipeline` - pipeline\n* `standard` - standard"},"AssociationSourceEnum":{"enum":["direct","related","direct_and_related"],"type":"string","description":"* `direct` - Direct\n* `related` - Related\n* `direct_and_related` - Direct and Related"},"OwnerRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"full_name":{"type":"string"},"picture":{"$ref":"#/components/schemas/S3ObjectRead"}},"required":["email","first_name","full_name","id","last_name","picture"]},"S3ObjectRead":{"type":"object","properties":{"id":{"type":"string"},"created":{"type":"string","format":"date-time"},"key":{"type":"string"},"name":{"type":"string"},"url":{"type":"string"},"thumbnail_url":{"type":"string"},"size_bytes":{"type":"string"},"content_type":{"type":"string"},"size_formatted":{"type":"string"},"is_public":{"type":"boolean"}},"required":["content_type","created","id","is_public","key","name","size_bytes","size_formatted","thumbnail_url","url"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]}}},"paths":{"/api/custom-objects/search":{"post":{"operationId":"custom_objects_search_create","description":"Search custom objects","parameters":[{"in":"query","name":"allow_relations","schema":{"type":"boolean"}},{"in":"query","name":"custom_only","schema":{"type":"boolean","default":true},"description":"Filter Custom Objects for the Client object (is_custom field)"},{"in":"query","name":"default_on_activities","schema":{"type":"boolean"}},{"in":"query","name":"is_custom","schema":{"type":"boolean"}},{"in":"query","name":"name","schema":{"type":"string"}},{"in":"query","name":"object_name","schema":{"type":"string"}},{"in":"query","name":"object_type","schema":{"type":"string","enum":["pipeline","standard"]},"description":"* `pipeline` - pipeline\n* `standard` - standard"},{"in":"query","name":"ordering","schema":{"type":"string","enum":["created","entity_name","number_of_records","object_name","object_type","total_commerce_value","total_pipeline_value","updated"]},"description":"Which field to use when ordering the results. Prepend with '-' for descending order."},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"name":"page_size","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"name":"search","required":false,"in":"query","description":"A search term.","schema":{"type":"string"}}],"tags":["custom-objects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomObjectSearchPayloadRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedCustomMinimalObjectsListList"}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.kizen.com/api/custom-objects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
